[arch-commits] Commit in gok/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Oct 8 15:58:17 EDT 2008


    Date: Wednesday, October 8, 2008 @ 15:58:17
  Author: jgc
Revision: 14601

upgpkg: gok 2.24.0-1

Modified:
  gok/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-08 19:56:29 UTC (rev 14600)
+++ PKGBUILD	2008-10-08 19:58:17 UTC (rev 14601)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gok
-pkgver=1.4.0
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="Gnome Onscreen Keyboard"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnome.org"
-depends=('gnome-speech>=0.4.20' 'libgnomeui>=2.22.1' 'at-spi>=1.22.1' 'libwnck>=2.22.3')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
+depends=('gnome-speech>=0.4.21' 'libgnomeui>=2.24' 'at-spi>=1.24.0' 'libwnck>=2.24.0')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.14.0')
 options=('!emptydirs')
 groups=('gnome-extra')
 install=gok.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.4/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('ba9b013643a0ff9572978a97fa5c49fe')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('3fff3dee0d673eef32ab149d4a0a480e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=$startdir/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list